Package de.geolykt.starloader.launcher.service

# Class SLMixinService

java.lang.Object
org.spongepowered.asm.service.MixinServiceAbstract
de.geolykt.starloader.launcher.service.SLMixinService

All Implemented Interfaces:
  `org.spongepowered.asm.service.IMixinService`

public class SLMixinService extends org.spongepowered.asm.service.MixinServiceAbstract

## Field Summary

### Fields inherited from class org.spongepowered.asm.service.MixinServiceAbstract

`LAUNCH_PACKAGE, lock, MIXIN_PACKAGE, SERVICE_PACKAGE`

## Constructor Summary

Constructors
Constructor
Description
`SLMixinService()`

## Method Summary

Modifier and Type
Method
Description
`protected org.spongepowered.asm.logging.ILogger`
`createLogger(String name)`
`org.spongepowered.asm.service.IMixinAuditTrail`
`getAuditTrail()`
`org.spongepowered.asm.service.IClassBytecodeProvider`
`getBytecodeProvider()`
`org.spongepowered.asm.service.IClassProvider`
`getClassProvider()`
`org.spongepowered.asm.service.IClassTracker`
`getClassTracker()`
`static SLMixinService`
`getInstance()`
`final <T extends org.spongepowered.asm.service.IMixinInternal>
T`
`getMixinInternal(Class<T> type)`
`String`
`getName()`
`org.spongepowered.asm.util.IConsumer<org.spongepowered.asm.mixin.MixinEnvironment.Phase>`
`getPhaseConsumer()`
`Collection<String>`
`getPlatformAgents()`
`org.spongepowered.asm.launch.platform.container.IContainerHandle`
`getPrimaryContainer()`
`InputStream`
`getResourceAsStream(String name)`
`org.spongepowered.asm.service.ITransformerProvider`
`getTransformerProvider()`
`void`
`init()`
`boolean`
`isValid()`
`void`
`unwire()`
Deprecated.
`void`
`wire(org.spongepowered.asm.mixin.MixinEnvironment.Phase phase, org.spongepowered.asm.util.IConsumer<org.spongepowered.asm.mixin.MixinEnvironment.Phase> phaseConsumer)`
Deprecated.

### Methods inherited from class org.spongepowered.asm.service.MixinServiceAbstract

`beginPhase, checkEnv, getContainersFromAgents, getInitialPhase, getInternal, getLogger, getMaxCompatibilityLevel, getMinCompatibilityLevel, getMixinContainers, getReEntranceLock, getSideName, offer, prepare`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SLMixinService

public SLMixinService()

## Method Details

### getInstance

public static SLMixinService getInstance()

### createLogger

protected org.spongepowered.asm.logging.ILogger createLogger(String name)

Overrides:
  `createLogger` in class `org.spongepowered.asm.service.MixinServiceAbstract`

### getAuditTrail

public org.spongepowered.asm.service.IMixinAuditTrail getAuditTrail()

### getBytecodeProvider

public org.spongepowered.asm.service.IClassBytecodeProvider getBytecodeProvider()

### getClassProvider

public org.spongepowered.asm.service.IClassProvider getClassProvider()

### getClassTracker

public org.spongepowered.asm.service.IClassTracker getClassTracker()

### getMixinInternal

@Nullable public final <T extends org.spongepowered.asm.service.IMixinInternal> T getMixinInternal(Class<T> type)

### getName

public String getName()

### getPhaseConsumer

public org.spongepowered.asm.util.IConsumer<org.spongepowered.asm.mixin.MixinEnvironment.Phase> getPhaseConsumer()

### getPlatformAgents

public Collection<String> getPlatformAgents()

### getPrimaryContainer

public org.spongepowered.asm.launch.platform.container.IContainerHandle getPrimaryContainer()

### getResourceAsStream

public InputStream getResourceAsStream(String name)

### getTransformerProvider

public org.spongepowered.asm.service.ITransformerProvider getTransformerProvider()

### init

public void init()

Specified by:
  `init` in interface `org.spongepowered.asm.service.IMixinService`
Overrides:
  `init` in class `org.spongepowered.asm.service.MixinServiceAbstract`

### isValid

public boolean isValid()

### unwire

@Deprecated public void unwire()
Deprecated.

Overrides:
  `unwire` in class `org.spongepowered.asm.service.MixinServiceAbstract`

### wire

@Deprecated public void wire(org.spongepowered.asm.mixin.MixinEnvironment.Phase phase, org.spongepowered.asm.util.IConsumer<org.spongepowered.asm.mixin.MixinEnvironment.Phase> phaseConsumer)
Deprecated.

Overrides:
  `wire` in class `org.spongepowered.asm.service.MixinServiceAbstract`